## slcurl 0.2.1

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
SL2TM = sl2tm
MACRODIR = /aluche/d1/web/tm-dist/macros
TM2HLP = $(TMEXPAND) -I$(MACRODIR) -Mslhlp

MODULE = curl
AUTOGEN_TM = 
MODULE_DEPS = $(HLPFUNS_TM) $(AUTOGEN_TM) local.tm
HLPFUNS_TM = helpfile.tm
HLP_FILE_DEPS = $(MODULE)funs.tm local.tm

TXT_FILES = $(MODULE).txt
SGML_FILES = $(MODULE).sgml
HTML_FILES = $(MODULE).html
TEX_FILES = $(MODULE).tex
PS_FILES = $(MODULE).ps 
PDF_FILES = $(MODULE).pdf
HLP_FILE = $(MODULE).hlp

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
HELPDIR = ../help

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
SRCDIR = `pwd`

default: $(TXT_FILES) $(HLP_FILE)
all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(PS_FILES) $(HLP_FILE)
text-files: $(TXT_FILES)
#----- SGML Files -----------------------------------------------------------
$(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
#----- HTML Files -----------------------------------------------------------
$(MODULE).html : $(MODULE).sgml
	$(SGML2HTML) $(MODULE).sgml
#----- TeX Files ------------------------------------------------------------
$(MODULE).tex : $(MODULE).sgml
	$(SGML2LATEX) $(MODULE).sgml
	jed -script ./fixtex.sl $(MODULE).tex
#----- PDF Files -----------------------------------------------------------
$(MODULE).pdf : $(MODULE).tex
	$(MAKE) texclean
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
#----- PS Files -----------------------------------------------------------
$(MODULE).ps : $(MODULE).tex texclean
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	dvips -o $(MODULE).ps $(MODULE).dvi
#----- Text Files -----------------------------------------------------------
$(MODULE).txt: $(MODULE).sgml
	$(SGML2TXT) $(MODULE).sgml
#----------------------------------------------------------------------------
help-files: $(HLP_FILE)
$(HLP_FILE): $(HLPFUNS_TM) $(HLP_FILE_DEPS)
	$(TMEXPAND) -I$(MACRODIR) -Mslhlp $(HLPFUNS_TM) $(HLP_FILE)
texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out
clean: texclean
	-rm -f *~ rtl/*.BAK rtl/*~ *.tmp *-error
distclean: clean
	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
install-txt: $(TXT_FILES)
	-mkdir ../text
	-mv $(TXT_FILES) ../text
install-help: $(HLP_FILE)
	-mkdir -p $(HELPDIR)
	-mv $(HLP_FILE) $(HELPDIR)
install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
	-mkdir -p $(HTMLDIR) $(PSDIR) $(PDFDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) ../ps
	-mv $(PDF_FILES) ../pdf
install: install-txt install-help

## slcurl 0.2.2~pre.10

=== debian/changelog ===
slcurl (0.2.2~pre.10-2) unstable; urgency=medium

  * QA Upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/p/honor-cppflags-ldflags.patch: New patch
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Nov 2021 06:21:48 -0300

slcurl (0.2.2~pre.10-1) unstable; urgency=medium

  * QA Upload.

  * New upstream version 0.2.2~pre.10
  * Create Git repository at Salsa.debian.org.
    The Git repository was created with "gbp import-dscs --debsnap",
    instead of doing archeological work in the Alioth archives. The layout
    of the repository follows the recommendation in DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * Switch from CDBS to debhelper
    + d/control: Drop the build-dependencies on cdbs
    + d/rules: Use the dh sequencer
  * Activate dh_autoreconf (Closes: #765253)
    + d/rules: Move the generated autoconf/configure to the top directory
    + d/autoreconf: New file
    + d/p/update-configure.patch: New patch
    + d/source/options: Ignore the configure file
    + d/clean: Remove the leftover directory autoconf/autoconf/
  * d/changelog: Drop bogus entries for binary-only NMUs
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Use secure URI in Homepage field
    + Add Rules-Requires-Root: no
  * d/copyright: Convert to DEP-5 format
  * d/watch: Consider the upstream pre-release tarballs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Sep 2021 13:11:34 -0300

slcurl (0.2.1-6) unstable; urgency=medium

  * QA Upload
  * debian/rules: Use --includedir and --libdir configure flags to pass
    multiarch paths and fool build system into finding curl (and slang).
    Actually using pkg-config to look up info would be better....
    (Closes: #852885)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 31 Jan 2017 18:06:46 +0100

slcurl (0.2.1-5) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list (closes: #571878)
    + Set Maintainer to Debian QA Group (orhpaned package)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 01 Aug 2016 16:58:41 -0300

slcurl (0.2.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: --with-slanglib= for multiarch path (Closes: #640683)

 -- Simon Paillard <spaillard@debian.org>  Wed, 14 Dec 2011 01:23:21 +0100

slcurl (0.2.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change build-dependency on libcurl4-dev into libcurl4-gnutls-dev.
    Closes: #618229.
  * Use the --with-curllib= option to tell the configure script to look
    for the curl library in the multiarch path. Closes: #618229.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Aug 2011 12:55:02 +0200

slcurl (0.2.1-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 00:20:08 +0200

slcurl (0.2.1-3) unstable; urgency=low

  * debian/control: Fix spelling of S-Lang
  * debian/copyright: Add proper licensing conditions, both upstream and
    for the Debian packaging

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Mar 2008 20:29:47 +0100

slcurl (0.2.1-2) unstable; urgency=low

  * debian/control:
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 15:34:52 +0100

slcurl (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
  * debian/rules: Call demo/translate in order to check the package

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Nov 2007 22:29:22 +0100

slcurl (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Sep 2007 08:41:11 +0200

slcurl (0.1.2-3) unstable; urgency=low

  * debian/watch: Update URL of upstream tarball

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Aug 2007 10:05:54 +0200

slcurl (0.1.2-2) unstable; urgency=low

  * debian/control: Build-depend on libcurl4

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 May 2007 12:05:09 +0200

slcurl (0.1.2-1) unstable; urgency=low

  * New upstream version

  * debian/control:
    + Increase Standards-Version. No changes needed. [JS]
    + Added XS-Vcs-Svn and XS-Vcs-Browser fields [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Mar 2007 00:19:37 +0200

slcurl (0.1.1-4) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/watch: Added file

 -- Debian JED Group <pkg-jed-sl-modules@lists.alioth.debian.org>  Fri, 11 Nov 2005 00:24:38 +0100

slcurl (0.1.1-3) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/control: Changed the maintainer to
    pkg-jed-sl-modules@lists.alioth.debian.org

 -- Debian JED Group <pkg-jed-sl-modules@lists.alioth.debian.org>  Wed,  9 Nov 2005 13:35:58 +0100

slcurl (0.1.1-2) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/control: Fixed typo HTPP -> HTTP in pacakge description
    (closes: #337995)

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Mon,  7 Nov 2005 22:12:58 +0100

slcurl (0.1.1-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * First official release (closes: #336250)

 -- Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>  Sat, 29 Oct 2005 18:11:42 +0200

slcurl (0.1.1-0.1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere



=== debian/control ===
Source: slcurl
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev (>= 2.0.4-6),
               libcurl4-gnutls-dev
Standards-Version: 4.6.0
Homepage: https://jedsoft.org/slang/modules/curl.html
Vcs-Git: https://salsa.debian.org/debian/slcurl.git
Vcs-Browser: https://salsa.debian.org/debian/slcurl
Rules-Requires-Root: no

Package: slang-curl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: transfer files using HTTP and FTP from S-Lang
 The S-Lang curl module makes use of the cURL library to provide the
 S-Lang interpreter the ability to transfer files in a simple but
 robust manner using a variety of protocols including FTP and HTTP.

## slcurl 0.2.2~pre.11

=== debian/changelog ===
slcurl (0.2.2~pre.11-1) unstable; urgency=medium

  * New upstream version 0.2.2~pre.11
  * d/p/honor-cppflags-ldflags.patch: Drop patch (applied upstream)
  * Adopt package (Closes: #748259)
  * d/control: Add Multi-Arch: same
  * d/u/metadata: Add documentation URL

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 Nov 2021 04:17:26 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slcurl
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libslang2-dev (>= 2.0.4-6),
                libcurl4-gnutls-dev
@@ -13,6 +13,7 @@
 
 Package: slang-curl
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: slsh (>= 2.0) | jed | slrn
 Description: transfer files using HTTP and FTP from S-Lang

## slcurl 0.2.2~pre.12

=== debian/changelog ===
slcurl (0.2.2~pre.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libslang2-dev.
    + slang-curl: Drop versioned constraint on slsh in Suggests.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:33:38 -0300

slcurl (0.2.2~pre.12-1) unstable; urgency=medium

  * New upstream version 0.2.2~pre.12
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 19 Aug 2022 11:50:06 -0300

=== debian/control ===
Source: slcurl
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev,
               libcurl4-gnutls-dev
Standards-Version: 4.6.1
Homepage: https://jedsoft.org/slang/modules/curl.html
Vcs-Git: https://salsa.debian.org/debian/slcurl.git
Vcs-Browser: https://salsa.debian.org/debian/slcurl
Rules-Requires-Root: no

Package: slang-curl
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh | jed | slrn
Description: transfer files using HTTP and FTP from S-Lang
 The S-Lang curl module makes use of the cURL library to provide the
 S-Lang interpreter the ability to transfer files in a simple but
 robust manner using a variety of protocols including FTP and HTTP.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

triplet = $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
override_dh_auto_configure:
	dh_auto_configure -- --with-curlinc=/usr/include/$(triplet)	\
	                     --with-curllib=/usr/lib/$(triplet)

override_dh_auto_build:
	dh_auto_build -- RPATH=

override_dh_auto_test:

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~pre./"	\
  https://www.jedsoft.org/snapshots/	\
  https://www.jedsoft.org/snapshots/slcurl-pre(.*).tar.gz

## slcurl 0.2.2~pre.14

=== doc/tm/Makefile ===
--- 
+++ 
@@ -3,10 +3,9 @@
 # To create the SGML files, you will need to install the tm-utils
 # package.  See http://www.jedsoft.org/ for more information.
 #
-TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
+TMEXPAND = tmexpand
 SL2TM = sl2tm
-MACRODIR = /aluche/d1/web/tm-dist/macros
-TM2HLP = $(TMEXPAND) -I$(MACRODIR) -Mslhlp
+TM2HLP = $(TMEXPAND) -Mslhlp
 
 MODULE = curl
 AUTOGEN_TM = 
@@ -20,7 +19,7 @@
 TEX_FILES = $(MODULE).tex
 PS_FILES = $(MODULE).ps 
 PDF_FILES = $(MODULE).pdf
-HLP_FILE = $(MODULE).hlp
+HLP_FILES = $(MODULE).hlp babelfish.hlp
 
 SGML2LATEX = sgml2latex -p letter -o tex
 SGML2HTML = sgml2html
@@ -38,12 +37,12 @@
 SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
 SRCDIR = `pwd`
 
-default: $(TXT_FILES) $(HLP_FILE)
-all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(PS_FILES) $(HLP_FILE)
+default: $(TXT_FILES) $(HLP_FILES)
+all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(PS_FILES) $(HLP_FILES)
 text-files: $(TXT_FILES)
 #----- SGML Files -----------------------------------------------------------
 $(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
-	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
+	$(TMEXPAND) $(MODULE).tm $(MODULE).sgml
 #----- HTML Files -----------------------------------------------------------
 $(MODULE).html : $(MODULE).sgml
 	$(SGML2HTML) $(MODULE).sgml
@@ -67,9 +66,11 @@
 $(MODULE).txt: $(MODULE).sgml
 	$(SGML2TXT) $(MODULE).sgml
 #----------------------------------------------------------------------------
-help-files: $(HLP_FILE)
-$(HLP_FILE): $(HLPFUNS_TM) $(HLP_FILE_DEPS)
-	$(TMEXPAND) -I$(MACRODIR) -Mslhlp $(HLPFUNS_TM) $(HLP_FILE)
+help-files: $(HLP_FILES)
+%.hlp: %.tm $(HLP_FILE_DEPS)
+	$(TMEXPAND) -Mslhlp $< $@
+babelfish.tm: ../../src/babelfish.sl
+	tm-strip $< > $@
 texclean:
 	-rm -f *.dvi *.log *.aux *.toc *.out
 clean: texclean
@@ -77,14 +78,14 @@
 distclean: clean
 	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
 install-txt: $(TXT_FILES)
-	-mkdir ../text
-	-mv $(TXT_FILES) ../text
-install-help: $(HLP_FILE)
+	-mkdir $(TEXTDIR)
+	-mv $(TXT_FILES) $(TEXTDIR)
+install-help: $(HLP_FILES)
 	-mkdir -p $(HELPDIR)
-	-mv $(HLP_FILE) $(HELPDIR)
+	-mv $(HLP_FILES) $(HELPDIR)
 install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
 	-mkdir -p $(HTMLDIR) $(PSDIR) $(PDFDIR)
 	-mv *.html $(HTMLDIR)
-	-mv $(PS_FILES) ../ps
-	-mv $(PDF_FILES) ../pdf
+	-mv $(PS_FILES) $(PSDIR)
+	-mv $(PDF_FILES) $(PDFDIR)
 install: install-txt install-help

=== debian/changelog ===
slcurl (0.2.2~pre.14-3) unstable; urgency=medium

  * d/watch: Convert to format version 5
  * d/rules: Set DEB_BUILD_MAINT_OPTIONS to hardening=+all

 -- Rafael Laboissière <rafael@debian.org>  Sun, 05 Oct 2025 04:35:29 -0300

slcurl (0.2.2~pre.14-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 03:34:39 -0300

slcurl (0.2.2~pre.14-1) experimental; urgency=medium

  * New upstream version 0.2.2~pre.14
  * d/p/make-shuffle.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 30 May 2025 11:48:46 -0300

slcurl (0.2.2~pre.13-2) experimental; urgency=medium

  * d/p/make-shuffle.patch: New patch (Closes: #1105577)
  * d/rules: Drop unnecessary --no-parallel option

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 May 2025 17:50:47 -0300

slcurl (0.2.2~pre.13-1) experimental; urgency=medium

  * New upstream version 0.2.2~pre.13
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 12 May 2025 05:50:39 -0300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Build-Depends: debhelper-compat (= 13),
                libslang2-dev,
                libcurl4-gnutls-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://jedsoft.org/slang/modules/curl.html
 Vcs-Git: https://salsa.debian.org/debian/slcurl.git
 Vcs-Browser: https://salsa.debian.org/debian/slcurl
-Rules-Requires-Root: no
 
 Package: slang-curl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --no-parallel
+	dh $@
 
 export AUTOHEADER = true
 execute_after_dh_autoreconf:
@@ -15,4 +17,6 @@
 override_dh_auto_build:
 	dh_auto_build -- RPATH=
 
+# Prevent unit tests run, because "make -C src test" fails
+# with the error message "tests/test_*.sl: file not found"
 override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: https://www.jedsoft.org/snapshots/slcurl(?:-pre)@ANY_VERSION@@ARCHIVE_EXT@
Uversionmangle: s/-/~pre./
